{{- if .Values.busynix.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: busynix
  namespace: argocd
spec:
  project: aux
  destination:
    namespace: default
    server: https://kubernetes.default.svc
  source:
    repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: main
    path: values/busynix
    plugin:
      name: kustomize-helm-with-rewrite
      parameters:
      - name: env
        string: staging
      - name: hostname
        string: busynix.beta.oceanbox.io
{{- end }}
